Summary: A document database server, accessible via a RESTful JSON API
Name: apache-couchdb
Version:2.0.0
Release: qg
Group: Applications/Databases
License: Apache
URL: http://couchdb.apache.org/
Source0: http://apache.ip-connect.vn.ua/couchdb/source/2.0.0/%{name}-%{version}.tar.gz
Source1: couchdb.service
#Requires: logrotate
BuildRequires: erlang libicu-devel libtool perl-Test-Harness curl-devel js-devel
%description
Apache CouchDB is a document-oriented database that can be queried and indexed
in a MapReduce fashion using JavaScript. CouchDB also offers incremental
replication with bi-directional conflict detection and resolution.

CouchDB provides a RESTful JSON API than can be accessed from any environment
that allows HTTP requests. There are myriad third-party client libraries that
make this even easier from your programming language of choice. CouchDB’s built
in Web administration console speaks directly to the database using HTTP
requests issued from your browser.
%define          debug_package %{nil}
%prep
%setup -q
%build 
sed -i 's"`whoami`"couchdb"g' configure
./configure --disable-docs
sed -ie 's"\./data"/var/lib/couchdb"g' rel/couchdb.config
make release
%pre
/usr/bin/getent passwd couchdb >/dev/null 2>&1 || /usr/sbin/useradd -r  --home /var/lib/couchdb -M --shell /bin/bash --comment "CouchDB Database Server" couchdb >/dev/null 2>&1
exit 0
%preun
if [ $1 -eq 0 ] ; then
  # Package removal, not upgrade
/usr/bin/systemctl stop couchdb.service > /dev/null 2>&1
fi
%install
rm -rf $RPM_BUILD_ROOT
cd rel/couchdb
mkdir -p $RPM_BUILD_ROOT/var/lib/couchdb
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/releases/2.0.0
mkdir -p $RPM_BUILD_ROOT/usr/local/etc/
mkdir -p  $RPM_BUILD_ROOT/var/log/couchdb
mkdir -p  $RPM_BUILD_ROOT/var/run/couchdb
mkdir -p  $RPM_BUILD_ROOT/usr/local/share/
mkdir -p  $RPM_BUILD_ROOT%{_unitdir}
mkdir -p  $RPM_BUILD_ROOT/usr/local/lib
cp -a bin/*  $RPM_BUILD_ROOT/usr/local/bin
cp -a releases/*  $RPM_BUILD_ROOT/usr/local/releases/
cp -a etc/* $RPM_BUILD_ROOT/usr/local/etc/
cp -a lib/* $RPM_BUILD_ROOT/usr/local/lib/
cp -a share/* $RPM_BUILD_ROOT/usr/local/share/
cp -a erts* $RPM_BUILD_ROOT/usr/local/
cp %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,couchdb,couchdb) /var/lib/couchdb
%attr(-,couchdb,couchdb) /var/log/couchdb
%attr(-,couchdb,couchdb) /var/run/couchdb/
%attr(-,root,root) %{_unitdir}/couchdb.service
%attr(-,root,root) /usr/local/bin/couch*
%attr(-,couchdb,couchdb) /usr/local/share/server
%attr(-,couchdb,couchdb) /usr/local/share/www
/usr/local/lib/*
%attr(-,couchdb,couchdb) /usr/local/etc/local.ini
%attr(-,couchdb,couchdb) /usr/local/etc/default.ini
%attr(-,couchdb,couchdb) /usr/local/etc/vm.args
%attr(-,couchdb,couchdb) /usr/local/releases/
%attr(-,couchdb,couchdb) /usr/local/erts*

%post
if [ $1 -eq 1 ] ; then
  # Initial installation
/usr/bin/systemctl --no-reload preset couchdb.service >/dev/null 2>&1
/usr/bin/systemctl daemon-reload
fi

%changelog
* Tue Oct 18 2016 Roman Kruglicky <r.kruglicky@quintagroup.com> - 1.0-qg
- Initial build
